| Home · All Classes · All Namespaces · Modules · Functions · Files

# MessagePartContentMap Struct Reference
[Mapping types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Member Functions

- MessagePartContentMap ()
- MessagePartContentMap (const QMap< uint, QDBusVariant > &a)
- MessagePartContentMap & operator= (const QMap< uint, QDBusVariant > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, QDBusVariant>, but needed to have a discrete type in the Qt4 type system.

A mapping from message part indexes to their content, as returned by GetPendingMessageContent.

## Constructor & Destructor Documentation

MessagePartContentMap | ( |  | ) | `[inline]`

MessagePartContentMap | ( | const QMap< uint, QDBusVariant > & | a | ) | `[inline]`

## Member Function Documentation

MessagePartContentMap& operator= | ( | const QMap< uint, QDBusVariant > & | a | ) | `[inline]`